@import "src/styles/scss/partials/mixins";
@import "src/styles/scss/partials/variables";

button[aria-disabled="true"] {
    background-color: var(--gray-100) !important;
    border: 1px solid var(--gray-300) !important;
    cursor: unset !important;
    color: var(--gray-500) !important;
}

.root {
    height: 50px;
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    padding: 0 var(--spacing-xx-large);
    border-radius: 50px;
    white-space: nowrap;

    @include font("button1");
}

.root:global(.variant_contained) {
    background-color: var(--gray-800);
    color: var(--white);
    border: 1px solid var(--gray-800);
}

.root:global(.variant_outlined) {
    background-color: var(--white);
    color: var(--gray-800);
    border: 1px solid var(--gray-800);
}

@include down($screen_sm_end) {
    .root {
        height: 42px;
    }
}
